/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package salidasautomaticas.mysqldao;

import io.github.cdimascio.dotenv.Dotenv;
import java.sql.Connection;
import java.sql.DriverManager;
import salidasautomaticas.dao.DAOFactory;
import salidasautomaticas.dao.SalidasDAO;
import salidasautomaticas.util.OsUtils;

/**
 *
 * @author sistem08user
 */
public class MysqlDAOFactory extends DAOFactory {

	static {
		try {
			Class.forName("com.mysql.jdbc.Driver");
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	public static Connection obtenerConexion(String base) {
		Connection conexion = null;
		if (base.equals("nuevo")) {
			try {
				Dotenv dotenv = Dotenv.configure().directory(OsUtils.getDotEnvPath("salidasautomaticas")).load();
				final String DB_HOST = dotenv.get("MYSQL_SALIDASAUTOMATICAS_DB_HOST");
				final String DB_PORT = dotenv.get("MYSQL_SALIDASAUTOMATICAS_DB_PORT");
				final String DB_USER = dotenv.get("MYSQL_SALIDASAUTOMATICAS_DB_USER");
				final String DB_PASSWORD = dotenv.get("MYSQL_SALIDASAUTOMATICAS_DB_PASSWORD");
				final String DB_NAME = dotenv.get("MYSQL_SALIDASAUTOMATICAS_DB_NAME");
				final String URL = "jdbc:mysql://" + DB_HOST + ":" + DB_PORT + "/" + DB_NAME;

				conexion = DriverManager.getConnection(URL, DB_USER, DB_PASSWORD);

			} catch (Exception e) {
				e.printStackTrace();
			}
		}
		return conexion;
	}

	@Override
	public SalidasDAO getSalidasDAO() {
		return new SalidasMysqlDAO();
	}

}
